package body MSHTML.IHTMLLabelElement_Object is

   procedure Put_htmlFor
     (This : IHTMLLabelElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLLabelElement_Put_htmlFor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_htmlFor;

   function Get_htmlFor
     (This : IHTMLLabelElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLLabelElement_Get_htmlFor);
   end Get_htmlFor;

   procedure Put_accessKey
     (This : IHTMLLabelElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLLabelElement_Put_accessKey,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_accessKey;

   function Get_accessKey
     (This : IHTMLLabelElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLLabelElement_Get_accessKey);
   end Get_accessKey;

end MSHTML.IHTMLLabelElement_Object;

